package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Xero;
import com.realnet.vpspack.Services.XeroService ;


@RequestMapping(value = "/Xero")
 @CrossOrigin("*") 
@RestController
public class XeroController {
	@Autowired
	private XeroService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Xero")
		  public Xero Savedata(@RequestBody Xero data) {
		Xero save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Xero/{id}")
	public  Xero update(@RequestBody Xero data,@PathVariable Integer id ) {
		Xero update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Xero/getall/page")
	public Page<Xero> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Xero> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Xero")
	public List<Xero> getdetails() {
		 List<Xero> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Xero")
	public List<Xero> getallwioutsec() {
		 List<Xero> get = Service.getdetails();		
		return get;
}
@GetMapping("/Xero/{id}")
	public  Xero  getdetailsbyId(@PathVariable Integer id ) {
		Xero  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Xero/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}